> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a note message

> Send a note message to a given phone number.



## OpenAPI

````yaml /openapi.json post /api/public/whatsapp/message/note/send
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/whatsapp/message/note/send:
    post:
      tags:
        - WhatsApp Message
      summary: Send a note message
      description: Send a note message to a given phone number.
      operationId: PublicWhatsAppMessageController_sendWhatsAppNote
      parameters:
        - name: x-api-key
          in: header
          description: API key needed to authorize the request
          required: true
          schema:
            type: string
      requestBody:
        required: true
        description: The payload to send with the template message
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendNoteDto'
      responses:
        '201':
          description: Message sent successfully.
        '400':
          description: Bad request.
        '401':
          description: Unauthorized.
components:
  schemas:
    SendNoteDto:
      type: object
      properties:
        contact_name:
          type: string
        meta_data:
          type: object
          additionalProperties: true
        stage_id:
          type: string
        to_phone:
          type: string
        from_phone:
          type: string
        note:
          type: string
        agent_id:
          type: string
      required:
        - meta_data
        - to_phone
        - from_phone
        - note

````